<?php

include 'load.php';

?>

<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard
">
<meta name="robots" content="noindex, nofollow">

<title>Home | Eat More Resturant   | Pos & Invetory System | Dashboard
</title>


<?php
require_once 'headercss.php';
?>
</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Quotation list</h4>
<h6>View/Search Quotation</h6>
</div>
<div class="page-btn">
<a href="add-quotation.php" class="btn btn-added">
<img src="assets/img/icons/plus.svg" class="me-1" alt="img">Add Quotation
</a>
</div>
</div>

<div class="card">
<div class="card-body">
<div class="table-top">

</div>
<div class="form-check">
  <input class="form-check-input" type="checkbox" value="" id="selectall">
  <label class="form-check-label" for="flexCheckDefault">
    Select All
  </label>
</div>
<div class="table-responsive">
<table class="table" id="betable">
<thead>
<tr>
<th></th>
<th>#ID</th>
<th>Action</th>
<th>Logo</th>
<th>Quotations From</th>
<th>Quotations For</th>
<th>Bank</th>
<th>Quotations Total</th>
<th>Discount</th>
<th>Total</th>
<th>Date/Time</th>
</tr>
</thead>
<tbody> 
	
<?php
$count=0;
										$stmt = $DB_con->prepare('SELECT * FROM tbl_quotations ORDER BY quotations_id');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);
										
										$count++;

										?>
<tr>
<td><input class="form-check-input delete-checkbox" type="checkbox" name="<?php echo $row['quotations_id']; ?>" value="<?php echo $row['quotations_id']; ?>" id="qi_<?php echo $row['quotations_id']; ?>"></td>
<td><?php echo number_format($count,0); ?></td>
<td>
<a href="view-quotation.php?qid=<?php echo $row['quotations_id']; ?>" class="btn btn-block btn-outline-primary active btn-sm text-white"><i class="fa fa-eye"></i></a>
<a href="delete-quotation.php?qid=<?php echo $row['quotations_id']; ?>" class="btn btn-block btn-outline-danger active btn-sm text-white"><i class="fa fa-trash" data-bs-toggle="tooltip" title="" data-bs-original-title="fa fa-trash" aria-label="fa fa-trash"></i></a>
</td>
<td><img src="<?php echo $row['Logo']; ?>" width="60px"></td>
<td><?php echo $row['from_compay_name']."<br>".$row['from_compay_address']."<br>".$row['from_compay_phone']; ?></td>
<td><?php echo $row['for_company_name']."<br>".$row['for_compny_address']; ?></td>
<td><?php echo $row['bank_name']."<br>".$row['account_number']."<br>".$row['bank']."<br>".$row['branch']; ?></td>
<td><?php echo $row['quotations_total']; ?></td>
<td><?php echo $row['discount']; ?></td>
<td><?php echo $row['total']; ?></td>
<td><?php echo $row['date']; ?></td>
</tr>
<?php 
} 
}
?>

</tbody>
</table>
</div>

</div>
</div>

</div>
</div>
</div>

<?php require_once 'footerjs.php'; ?>

<script>
	$(document).ready(function(){
		$('#selectall').click(function() {
			var id = $(this).attr('id');

			if($(this).is(':checked')){
				var check = 1;
				$('input[type="checkbox"]').prop('checked', true);
			}else{
				var check = 0;
				$('input[type="checkbox"]').prop('checked', false);
			}


			/*$.ajax({
					type: "POST",
					data: {check:check,id:id},
					url: "checkbox_select.php",
					success: function(data){
							
					}
				});*/

				

		});

	});

	function deleteSelectedRows() {
        var checkboxes = document.querySelectorAll('.delete-checkbox:checked');

        var selectedIds = [];

        checkboxes.forEach(function(checkbox) {
            selectedIds.push(checkbox.value);
        });

        $.ajax({
            url: 'delete_selected_items.php',
            type: 'POST',
            data: {selectedIds: selectedIds}, 
            success: function(response) {
                console.log('Rows deleted successfully');
                toastr.success('Rows deleted successfully');
               location.reload(); 
            },
            error: function(xhr, status, error) {
                console.error('Error deleting rows: ', error);
                toastr.error('Error deleting rows: ' + error);

            }
			
        });
		
    }

</script>

</body>
</html>